package com.aliyun.chatbot.channel.feishu;

import com.alibaba.fastjson2.annotation.JSONField;

import lombok.Data;

/**
 * @author kelin
 * @date 2024/5/31
 */
@Data
public class FeishuInputMessage {
    /**
     * {
     * "sender": {
     * "sender_id": {
     * "open_id": "ou_8fc3b8b63fd50c2c45360d619bdfa5c2",
     * "union_id": "on_c708344009fe5b9d843c3f22a9a3c600"
     * },
     * "sender_type": "user",
     * "tenant_key": "1477824fbd7e575e"
     * },
     * "message": {
     * "message_id": "om_4e7e7e80eca6fc230c5911738c1431ab",
     * "create_time": "1737016112527",
     * "update_time": "1737016112527",
     * "chat_id": "oc_da096fdb50bc8318cf8830cba176ab13",
     * "chat_type": "p2p",
     * "message_type": "text",
     * "content": "{\"text\":\"你好\"}"
     * }
     * }
     */
    private FeishuSender sender;

    private FeishuMessage message;

    @Data
    public static class FeishuSender {

        @JSONField(name = "sender_id")
        private SenderId senderId;
        @JSONField(name = "sender_type")
        private String senderType;
        @JSONField(name = "tenant_key")
        private String tenantKey;

        @Data
        public static class SenderId {
            @JSONField(name = "open_id")
            private String openId;
            @JSONField(name = "union_id")
            private String unionId;
        }

    }

    @Data
    public static class FeishuMessage {
        @JSONField(name = "message_id")
        private String messageId;
        @JSONField(name = "create_time")
        private String createTime;
        @JSONField(name = "update_time")
        private String updateTime;
        @JSONField(name = "chat_id")
        private String chatId;
        @JSONField(name = "chat_type")
        private String chatType;
        @JSONField(name = "message_type")
        private String messageType;
        private String content;

    }

    @Data
    public static class MessageContent {
        private String text;
    }

}
